Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractPolyDataPiece Class Reference

`#include <vtkExtractPolyDataPiece.h>`

Inheritance diagram for vtkExtractPolyDataPiece:

[legend]
Collaboration diagram for vtkExtractPolyDataPiece:

[legend]
List of all members.

## Detailed Description

Return specified piece, including specified.

Date:
  2002/08/30 21:05:53

Revision:
  1.8

number of ghost levels.

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (88%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkExtractPolyDataPiece.cxx)`
  - .`h` (`/Parallel/vtkExtractPolyDataPiece.h)`

Tests:
  vtkExtractPolyDataPiece (Tests)

Definition at line 45 of file vtkExtractPolyDataPiece.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCreateGhostCells (int)
virtual int | GetCreateGhostCells ()
virtual void | CreateGhostCellsOn ()
virtual void | CreateGhostCellsOff ()
## Static Public Methods
vtkExtractPolyDataPiece * | New ()
int | IsTypeOf (const char *type)
vtkExtractPolyDataPiece * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExtractPolyDataPiece ()
| ~vtkExtractPolyDataPiece ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *out)
void | ComputeCellTags (vtkIntArray *cellTags, vtkIdList *pointOwnership, int piece, int numPieces)
void | AddGhostLevel (vtkPolyData *input, vtkIntArray *cellTags, int ghostLevel)
## Protected Attributes
int | CreateGhostCells

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkExtractPolyDataPiece::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 49 of file vtkExtractPolyDataPiece.h.

## Constructor & Destructor Documentation

vtkExtractPolyDataPiece::vtkExtractPolyDataPiece | ( |  | ) | `[protected]`

vtkExtractPolyDataPiece::~vtkExtractPolyDataPiece | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkExtractPolyDataPiece.h.

## Member Function Documentation

vtkExtractPolyDataPiece* vtkExtractPolyDataPiece::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkExtractPolyDataPiece::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkExtractPolyDataPiece::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkExtractPolyDataPiece::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkExtractPolyDataPiece* vtkExtractPolyDataPiece::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkExtractPolyDataPiece::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkExtractPolyDataPiece::SetCreateGhostCells | ( | int |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual int vtkExtractPolyDataPiece::GetCreateGhostCells | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkExtractPolyDataPiece::CreateGhostCellsOn | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkExtractPolyDataPiece::CreateGhostCellsOff | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

void vtkExtractPolyDataPiece::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkExtractPolyDataPiece::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkExtractPolyDataPiece::ComputeInputUpdateExtents | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

void vtkExtractPolyDataPiece::ComputeCellTags | ( | vtkIntArray * | cellTags,
|  | vtkIdList * | pointOwnership,
|  | int | piece,
|  | int | numPieces
| ) | `[protected]`

void vtkExtractPolyDataPiece::AddGhostLevel | ( | vtkPolyData * | input,
|  | vtkIntArray * | cellTags,
|  | int | ghostLevel
| ) | `[protected]`

## Member Data Documentation

int vtkExtractPolyDataPiece::CreateGhostCells`[protected]`

| Definition at line 74 of file vtkExtractPolyDataPiece.h.

The documentation for this class was generated from the following file:

- Parallel/vtkExtractPolyDataPiece.h